## usb-creator 0.2.38.3ubuntu0.1

=== debian/changelog ===
usb-creator (0.2.38.3ubuntu0.1) precise-security; urgency=medium

  * SECURITY UPDATE: privilege escalation via missing polkit check
    (LP: #1447396)
    - bin/usb-creator-helper, dbus/com.ubuntu.usbcreator.policy.in: add
      proper polkit integration for KVM use.
    - CVE number pending

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 22 Apr 2015 23:18:51 -0400

usb-creator (0.2.38.3) precise-proposed; urgency=low

  [ Chris Wulff ]
  * Initialise threads, before starting background task thread. (LP:
    #915626)

 -- Brian Murray <brian@ubuntu.com>  Mon, 16 Dec 2013 16:08:05 -0800

usb-creator (0.2.38.2) precise-security; urgency=low

  * SECURITY UPDATE: possible privilege escalation via policykit UID lookup
    race.
    - bin/usb-creator-helper: pass system-bus-name as a subject instead of
      pid so policykit can get the information from the system bus.
    - CVE-2013-1063
  * This update does _not_ include the changes from 0.2.38.1 that was
    in precise-proposed.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 18 Sep 2013 11:34:06 -0400

=== debian/control ===
Source: usb-creator
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: usb-creator Hackers Team <usb-creator-hackers@lists.launchpad.net>
Uploaders: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>, Ignace Mouzannar <mouzannar@gmail.com>
Build-Depends: debhelper (>= 7.2.11~),
               dh-translations,
               python (>= 2.6),
               python-distutils-extra,
               pkg-kde-tools,
               kdesdk-scripts
Standards-Version: 3.9.2
X-Python-Version: current
Vcs-Bzr: http://bazaar.launchpad.net/~usb-creator-hackers/usb-creator/trunk

Package: usb-creator-common
Architecture: amd64 i386
Depends: ${misc:Depends}, ${python:Depends}, python-dbus,
 syslinux, syslinux-legacy,
 udisks (>= 1.0~), udisks (<< 1.1), genisoimage, mtools, parted, python-debian
Description: create a startup disk using a CD or disc image (common files)
 Startup Disk Creator converts a USB key or SD card into a volume from which you
 can start up and run Ubuntu. You can also store files and settings in any space
 left over.
 .
 The program also works for Debian, or any other Debian-based OS for which you
 have a CD or .iso image.
 .
 This package contains backend engine and common data files used by frontends.

Package: usb-creator-gtk
Architecture: amd64 i386
Depends: ${misc:Depends}, ${python:Depends},
 usb-creator-common (= ${binary:Version}),
 python-gi,
 gir1.2-gtk-3.0,
 gir1.2-pango-1.0,
 gir1.2-glib-2.0,
 gir1.2-unity-5.0,
 python-dbus
Description: create a startup disk using a CD or disc image (for GNOME)
 Startup Disk Creator converts a USB key or SD card into a volume from which you
 can start up and run Ubuntu. You can also store files and settings in any space
 left over.
 .
 The program also works for Debian, or any other Debian-based OS for which you
 have a CD or .iso image.
 .
 This package contains the GTK+ client frontend.

Package: usb-creator-kde
Architecture: amd64 i386
Depends: ${misc:Depends}, ${python:Depends},
 usb-creator-common (= ${binary:Version}), python-kde4, python-qt4-dbus
Description: create a startup disk using a CD or disc image (for KDE)
 Startup Disk Creator converts a USB key or SD card into a volume from which you
 can start up and run Ubuntu. You can also store files and settings in any space
 left over.
 .
 The program also works for Debian, or any other Debian-based OS for which you
 have a CD or .iso image.
 .
 This package contains the KDE client frontend.

## usb-creator 0.2.40ubuntu1

=== debian/changelog ===
usb-creator (0.2.40ubuntu1) quantal; urgency=low

  * debian/control: remove Build-Depends on kdesdk-scripts so kdesdk
    can live in universe

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 31 Jul 2012 11:02:49 -0500

usb-creator (0.2.40) quantal; urgency=low

  [ Dmitrijs Ledkovs ]
  * Increase the height of both source and target treeviews in the GTK+
    frontend. Thanks to Ross Lagerwall.
  * Search Desktop in addition to Downloads directory for ISOs. Thanks to
    Lucian Adrian Grijincu (LP: #761646)
  * Update debian/copyright to copyright specification 1.0
  * Bump standards version to 3.8.3

  [ Harald Sitter ]
  * KDE: don't duplicate entries by improper removal of entries on update
    (LP: #992061)
  * udisks: on successful format the ended callback must be called
  * KDE: strip() ISO labels as some derivates end up having newlines in
    their label (e.g. netrunner)
  * KDE: auto-populate the ISO list with files found in downloads dir
    (LP: #761745)

  [ Jonathan Riddell ]
  * KDE: do not clear formatting list in backend, fix breakage at
    end of format

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 06 Jul 2012 13:22:46 +0200

usb-creator (0.2.39) quantal; urgency=low

  [ Colin Watson ]
  * Clean up various pyflakes warnings.
  * Only pass unicode=True to gettext.install in Python 2.
  * Open subprocesses with universal_newlines=True when expecting to read
    text from them.  On Python 2, this only enables \r\n conversion and the
    like, but on Python 3 this also causes subprocess-related file objects
    to read str rather than bytes.
  * Use str() rather than unicode() in Python 3.
  * Remove __pycache__ directories on clean.
  * Use 'isinstance(obj, collections.Callable)' instead of 'callable(obj)'
    in Python 3.
  * Change 'except StandardError' to 'except Exception'; StandardError was
    removed in Python 3.
  * Use Python 3 name for Queue if available.
  * Handle a few cases of builtins being changed to return iterators in
    Python 3.
  * Just use dict.items() rather than bothering with Python 2/3
    compatibility for dict.iteritems().

  [ Evan Dandrea ]
  * Only clear the selected partition on the disk, not the entire disk
    (LP: #484252). Thanks Dmitrijs Ledkovs!

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 28 May 2012 17:58:43 +0100

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,8 @@
                dh-translations,
                python (>= 2.6),
                python-distutils-extra,
-               pkg-kde-tools,
-               kdesdk-scripts
-Standards-Version: 3.9.2
+               pkg-kde-tools
+Standards-Version: 3.9.3
 X-Python-Version: current
 Vcs-Bzr: http://bazaar.launchpad.net/~usb-creator-hackers/usb-creator/trunk

=== debian/rules ===
#!/usr/bin/make -f
vendor  := ./debian/$(shell dpkg-vendor --query Vendor)
dest    := $(CURDIR)/debian/tmp/usr/share/icons/hicolor/scalable/apps
xpm_gtk := $(CURDIR)/debian/usb-creator-gtk/usr/share/pixmaps/
xpm_kde := $(CURDIR)/debian/usb-creator-kde/usr/share/pixmaps/

%:
	dh -Spython_distutils --with python2,translations $@

override_dh_clean:
	dh_clean
	find -name __pycache__ -print0 | xargs -0r rm -rf

override_dh_install:
	find . -path "$(vendor)/*.svg" -exec cp {} $(dest) \;
	dh_install

override_dh_installmenu:
ifneq (,$(wildcard $(vendor)/*.xpm))
	mkdir -p $(xpm_gtk) $(xpm_kde)
	find . -path "$(vendor)/*-gtk*.xpm" -exec cp {} $(xpm_gtk) \;
	find . -path "$(vendor)/*-kde*.xpm" -exec cp {} $(xpm_kde) \;
	dh_installmenu
endif

## usb-creator 0.2.40ubuntu2

=== debian/changelog ===
usb-creator (0.2.40ubuntu2) quantal-security; urgency=low

  * SECURITY UPDATE: possible privilege escalation via policykit UID lookup
    race.
    - bin/usb-creator-helper: pass system-bus-name as a subject instead of
      pid so policykit can get the information from the system bus.
    - CVE-2013-1063

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 13 Sep 2013 10:13:48 -0400

## usb-creator 0.2.40ubuntu3

=== debian/changelog ===
usb-creator (0.2.40ubuntu3) quantal-proposed; urgency=low

  [ Chris Wulff ]
  * Initialise threads, before starting background task thread. (LP:
    #915626)

 -- Brian Murray <brian@ubuntu.com>  Mon, 16 Dec 2013 15:55:39 -0800

## usb-creator 0.2.46.1

=== debian/changelog ===
usb-creator (0.2.46.1) raring; urgency=low

  * Don't ship the upstart script for now, it's triggering in many wrong
    situations, such as with no one logged in and postinst (LP: #1117165)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 07 Feb 2013 19:04:27 -0700

usb-creator (0.2.46) raring; urgency=low

  * Simplify upstart job, do checks in start on conditions and not in
    pre-start script.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 06 Feb 2013 19:47:52 +0000

usb-creator (0.2.45.1) raring; urgency=low

  * KDE frontend python3 fixes from Riddell.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 28 Jan 2013 13:35:56 +0000

usb-creator (0.2.45) raring; urgency=low

  * Support flashing devices using fastboot (e.g. Nexus7).
  * Update translations.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 28 Jan 2013 12:51:45 +0000

usb-creator (0.2.44) raring; urgency=low

  * Revert sync remount flag. It's too slow.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 17 Jan 2013 18:01:22 +0000

usb-creator (0.2.43) raring; urgency=low

  * Port helper script to gobject-interspection. (LP: #1078810)
  * Fix pygi depreciation warnings.
  * Fix passing one to many arguments to one Gtk.MessageDialog.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 10 Jan 2013 14:58:48 +0000

usb-creator (0.2.42) raring; urgency=low

  * Restrict architectures to i386 & amd64. Although it's all pure python,
    it depends on executing syslinux which is only available on i386 &
    amd64.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 26 Nov 2012 11:02:30 +0000

usb-creator (0.2.41) raring; urgency=low

  * Switch packaging to use python3.
  * Drop utf-8/gnome workaround, now fixed in gnome.
  * Do not use INT_MAX (LP: #1076305).

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 31 Aug 2012 16:52:34 +0100

=== debian/rules ===
#!/usr/bin/make -f
vendor  := $(shell dpkg-vendor --query Vendor)
vendor_dir  := ./debian/$(vendor)
dest    := $(CURDIR)/debian/tmp/usr/share/icons/hicolor/scalable/apps
xpm_gtk := $(CURDIR)/debian/usb-creator-gtk/usr/share/pixmaps/
xpm_kde := $(CURDIR)/debian/usb-creator-kde/usr/share/pixmaps/

ifeq ($(vendor),Ubuntu)
 DHaddons := python3,translations
else
 DHaddons := python3
endif

%:
	dh $@ -Spython_distutils --with $(DHaddons)

override_dh_auto_build:
	python3 setup.py build

override_dh_auto_install:
	python3 setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb

override_dh_auto_clean:
	python3 setup.py clean

override_dh_python3:
	dh_python3 -p usb-creator-common -p usb-creator-gtk -p usb-creator-kde

override_dh_clean:
	rm -rf build
	find -name __pycache__ -print0 | xargs -0r rm -rf
	dh_clean

override_dh_install:
	find . -path "$(vendor_dir)/*.svg" -exec cp {} $(dest) \;
	dh_install

override_dh_installinit:
	#dh_installinit --upstart-only

override_dh_installmenu:
ifneq (,$(wildcard $(vendor_dir)/*.xpm))
	mkdir -p $(xpm_gtk) $(xpm_kde)
	find . -path "$(vendor_dir)/*-gtk*.xpm" -exec cp {} $(xpm_gtk) \;
	find . -path "$(vendor_dir)/*-kde*.xpm" -exec cp {} $(xpm_kde) \;
	dh_installmenu
endif

## usb-creator 0.2.47

=== debian/changelog ===
usb-creator (0.2.47) raring; urgency=low

  * Purge the upstart job.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 20 Mar 2013 09:01:26 +0000

## usb-creator 0.2.47.1

=== debian/changelog ===
usb-creator (0.2.47.1) raring-security; urgency=low

  * SECURITY UPDATE: possible privilege escalation via policykit UID lookup
    race.
    - bin/usb-creator-helper: pass system-bus-name as a subject instead of
      pid so policykit can get the information from the system bus.
    - CVE-2013-1063

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 13 Sep 2013 10:13:00 -0400

## usb-creator 0.2.47.2

=== debian/changelog ===
usb-creator (0.2.47.2) raring-proposed; urgency=low

  [ Chris Wulff ]
  * Initialise threads, before starting background task thread. (LP:
    #915626)

 -- Brian Murray <brian@ubuntu.com>  Mon, 16 Dec 2013 15:46:54 -0800

=== debian/control ===
Source: usb-creator
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: usb-creator Hackers Team <usb-creator-hackers@lists.launchpad.net>
Uploaders: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>, Ignace Mouzannar <mouzannar@gmail.com>
Build-Depends: debhelper (>= 9),
               dh-translations,
               python3,
               python3-distutils-extra,
               pkg-kde-tools
Standards-Version: 3.9.4
X-Python3-Version: >= 3.2
Vcs-Bzr: http://bazaar.launchpad.net/~usb-creator-hackers/usb-creator/trunk

Package: usb-creator-common
# Restricted to x86, because of syslinux dependency
Architecture: amd64 i386
Depends: ${misc:Depends}, ${python3:Depends}, python3-dbus,
 syslinux, syslinux-legacy,
 udisks (>= 1.0~), udisks (<< 1.1), genisoimage, mtools, parted, python3-debian
Description: create a startup disk using a CD or disc image (common files)
 Startup Disk Creator converts a USB key or SD card into a volume from which you
 can start up and run Ubuntu. You can also store files and settings in any space
 left over.
 .
 The program also works for Debian, or any other Debian-based OS for which you
 have a CD or .iso image.
 .
 This package contains backend engine and common data files used by frontends.

Package: usb-creator-gtk
# Restricted to x86, because of syslinux dependency
Architecture: amd64 i386
Depends: ${misc:Depends}, ${python3:Depends},
 usb-creator-common (= ${binary:Version}),
 python3-gi,
 gir1.2-gtk-3.0,
 gir1.2-pango-1.0,
 gir1.2-glib-2.0,
 gir1.2-unity-5.0,
 python3-dbus
Description: create a startup disk using a CD or disc image (for GNOME)
 Startup Disk Creator converts a USB key or SD card into a volume from which you
 can start up and run Ubuntu. You can also store files and settings in any space
 left over.
 .
 The program also works for Debian, or any other Debian-based OS for which you
 have a CD or .iso image.
 .
 This package contains the GTK+ client frontend.

Package: usb-creator-kde
# Restricted to x86, because of syslinux dependency
Architecture: amd64 i386
Depends: ${misc:Depends}, ${python3:Depends},
 usb-creator-common (= ${binary:Version}), python3-pykde4, python3-dbus.mainloop.qt
Description: create a startup disk using a CD or disc image (for KDE)
 Startup Disk Creator converts a USB key or SD card into a volume from which you
 can start up and run Ubuntu. You can also store files and settings in any space
 left over.
 .
 The program also works for Debian, or any other Debian-based OS for which you
 have a CD or .iso image.
 .
 This package contains the KDE client frontend.

## usb-creator 0.2.50

=== debian/changelog ===
usb-creator (0.2.50) saucy; urgency=low

  * Remove untranslated and unnecessary string

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 27 Sep 2013 15:48:29 +0100

usb-creator (0.2.49) saucy; urgency=low

  * SECURITY UPDATE: possible privilege escalation via policykit UID lookup
    race.
    - bin/usb-creator-helper: pass system-bus-name as a subject instead of
      pid so policykit can get the information from the system bus.
    - CVE-2013-1063

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 18 Sep 2013 13:23:48 -0400

usb-creator (0.2.48) saucy; urgency=low
 
  * Depend on gir1.2-gudev-1.0 (LP: #1178057)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 14 Jun 2013 13:03:21 -0400

## usb-creator 0.2.50.1

=== debian/changelog ===
usb-creator (0.2.50.1) saucy-proposed; urgency=low

  [ Chris Wulff ]
  * Initialise threads, before starting background task thread. (LP:
    #915626)

 -- Brian Murray <brian@ubuntu.com>  Mon, 16 Dec 2013 15:43:37 -0800

=== debian/control ===
--- 
+++ 
@@ -36,6 +36,7 @@
  usb-creator-common (= ${binary:Version}),
  python3-gi,
  gir1.2-gtk-3.0,
+ gir1.2-gudev-1.0,
  gir1.2-pango-1.0,
  gir1.2-glib-2.0,
  gir1.2-unity-5.0,

## usb-creator 0.2.56

=== debian/changelog ===
usb-creator (0.2.56) trusty; urgency=medium

  [ Ivan Larionov ]
  * Loop-mount iso in read-only mode, can't modify it anyway. (LP: #1289314)

  [ Daniel Lawrence ]
  * usb-creator doesn't refresh size error (LP: #521311)

  [ Jeremy Bicha ]
  * Always select the most recent image found (LP: #1087117)

  [ Yu Ning ]
  * GTK: Handle the backend.format_ended_cb callback otherwise the erasing
    operation will never ended. (LP: #1289269) (LP: #1273925)

  [ Dimitri John Ledkov ]
  * At the end of successful UDisks2 format, trigger device change to
    remount and recalculate the now formatted free space.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Apr 2014 15:04:39 +0100

usb-creator (0.2.55) trusty; urgency=medium

  * KDE: Don't crash when started with --iso. The hiding logic tried to access
         a variable that did not exist

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 13 Mar 2014 11:50:20 +0100

usb-creator (0.2.54) trusty; urgency=medium

  * udisks/backend.py: set mount to None (LP: #1259111)

 -- Brian Murray <brian@ubuntu.com>  Wed, 19 Feb 2014 10:32:10 -0800

usb-creator (0.2.53) trusty; urgency=low

  [ Brian Murray ]
  * Fix typo of udisks_cdrom_added method, thanks to Michael Blennerhassett
    for the patch.  (LP: #1264638)

  [ Harald Sitter ]
  * KDE: Select manually added images after they were added to the backend.
  * KDE: When adding an image that is already in the model, mark it as
         the selected item right away.
  * KDE: When manually selecting images, default to downloadsPath.
  * KDE: Set minimum heigh of the treewidgets to 128px respectively.
         This prevents shrinking beyond a sane boundry (>header height)
         and provides more appealing default appearance.
  * KDE: Set tooltips for all treewidget items
  * KDE: Change treewidget spacing from interactive to auto-smartness.
         The source widget is stretching image & version, while fitting
         size.
         The destination widget is only stretching the device name and
         everything else is fitted to content.
         This should give a much better default scaling, unfortunately users
         cannot resize the columns at will anymore, introduction of tooltips
         helps avoid that use case that.

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 16 Jan 2014 09:46:23 +0100

usb-creator (0.2.52) trusty; urgency=low

  * Port to UDisks2 API. (LP: #1024405)

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sat, 07 Dec 2013 22:19:50 +0000

usb-creator (0.2.51) trusty; urgency=low

  [ Chris Wulff ]
  * Initialise threads, before starting background task thread. (LP:
    #915626)

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Mon, 02 Dec 2013 21:51:27 +0000

## usb-creator 0.2.56.3ubuntu0.1

=== Makefile ===
WINE = WINEPREFIX=$(PWD)/wine wine
WINEPY = $(WINE) C:\\Python26\\python.exe
RVER = `head -n1 debian/changelog | sed 's,.*(\(.*\)).*,\1,'`
REV = `bzr revno`
RESULT="build/usb-creator-r$(REV)-$(RVER).exe"

update-po:
	find -regex "./\(usbcreator\|dbus\|gui\|desktop\).*\.\(py\|glade\|ui\|in\)" \
		| sed '/gtk\.ui/ s,^,[type: gettext/glade],' > po/POTFILES.in
	echo ./main.py >> po/POTFILES.in
	echo ./bin/usb-creator-gtk >> po/POTFILES.in
	echo ./bin/usb-creator-kde >> po/POTFILES.in
	python setup.py build_i18n --merge-po --po-dir po

check_external_deps:
	tools/check_external_deps

check_windows: check_external_deps
	$(WINEPY) ./tests/run-win

check: check_windows
	tests/run

build_windows: build_pylauncher translations
	cp wine/drive_c/Program\ Files/7-Zip/7z.exe build
	$(WINEPY) -OO tools/pypack/pypack --verbose --bytecompile --outputdir=build/usbcreator main.py tools/_include.py tools/dd.exe tools/syslinux.exe build/7z.exe build/translations
	$(WINEPY) -OO build/pylauncher/pack.py build/usbcreator
	mv build/application.exe $(RESULT)
	du -h $(RESULT)

build_pylauncher: clean check_external_deps
	cp -r tools/pylauncher build
	cp wine/drive_c/windows/system32/python26.dll build/pylauncher
	cp desktop/usb-creator.ico build/pylauncher/application.ico
	cd build/pylauncher; $(MAKE)

test_windows: build_windows
	$(WINE) $(RESULT)

clean:
	rm -rf build/*
	cd tools/pylauncher; $(MAKE) clean
	find tools/pypack -type f -name "*.pyo" -delete

translations: po/*.po
	# TODO evand 2009-07-28: Ideally we should build the mo files once,
	# instead of once here and once in setup.py.
	# Taken from Wubi.
	rm -rf build/translations
	mkdir -p build/translations/
	@for po in $^; do \
		language=`basename $$po`; \
		language=$${language%%.po}; \
		target="build/translations/$$language/LC_MESSAGES"; \
		mkdir -p $$target; \
		msgfmt --output=$$target/usbcreator.mo $$po; \
	done

=== tools/pylauncher/Makefile ===
export SHELL = sh
PROGRAM = pylauncher
#LDFLAGS = -shared -dll
#LIB = -lm -static
#LIBS = user32.lib gdi32.lib shell32.lib
CC = i586-mingw32msvc-gcc
WINDRES = i586-mingw32msvc-windres
CFLAGS = \
	-c \
	-Os \
	-Wall \
	-m32 \
	-march=i386 \
	-D_SZ_FILE_SIZE_32

# -D_SZ_FILE_SIZE_32  - define it if you need only support for files smaller than 4 GB
# -D_LZMA_IN_CB -if defined it does not read the full archive to memory
# -D USE_WINDOWS_FUNCTIONS use windows functions instead of libc in unpack.c
# -DWINDOWS
# -c do not link
# -Os optimize for size
# -GF read-only string constants
# -Gs disable stack checking calls
# -Gr fastcall calling convention
# -MD link against MSVCRT.DLL (also required by Python)
# -W3 max warnings
# -Wl,--file-alignment,512  pass option --file-alignement 512 to the linker
#	-m32
# -march=i386

ifdef DEBUG
	DEBUGFLAG = -g
	STRIP = @echo
else
	DEBUGFLAG =
	LDFLAGS = -mwindows
	STRIP = i586-mingw32msvc-strip
endif

7Z_OBJS = \
	7zAlloc.o \
	7zBuffer.o \
	7zCrc.o \
	7zDecode.o \
	7zExtract.o \
	7zHeader.o \
	7zIn.o \
	7zItem.o \
	7zMethodID.o \
	LzmaDecode.o \
	BranchX86.o \
	BranchX86_2.o

7Z_DIR = ../7z/C

7Z_OBJS_SRC = \
	$(7Z_DIR)/Archive/7z/*.c  \
	$(7Z_DIR)/Compress/Branch/BranchX86.c \
	$(7Z_DIR)/Compress/Branch/BranchX86_2.c \
	$(7Z_DIR)/Compress/Lzma/LzmaDecode.c \
	$(7Z_DIR)/7zCrc.c

all: pylauncher.exe header.exe pyrun.exe

header.exe:$(7Z_OBJS) unpack.o deletedir.o header.o str.o resources.o
	$(CC) -o $@ $(LDFLAGS) $(LIBS) $^
	$(STRIP) $@

pyrun.exe: deletedir.o pyrun.o str.o resources.o
	$(CC) -o $@ $(LDFLAGS) $(LIBS) $^
	$(STRIP) $@

pylauncher.exe: deletedir.o pylauncher.o str.o resources.o
	$(CC) -o $@ $(LDFLAGS) $(LIBS) $^
	$(STRIP) $@

$(7Z_OBJS): $(7Z_OBJS_SRC)
	$(CC) $(DEBUGFLAG) $(CFLAGS) $^

resources.o: resources.rc
	$(WINDRES) -o $@ $^

pylauncher.o: pylauncher.c
	$(CC) $(DEBUGFLAG) $(CFLAGS) $^

pyrun.o: pyrun.c
	$(CC) $(DEBUGFLAG) $(CFLAGS) $^

header.o: header.c
	$(CC) $(DEBUGFLAG) $(CFLAGS) $^

deletedir.o: deletedir.c
	$(CC) $(DEBUGFLAG) $(CFLAGS) $^

unpack.o: unpack.c
	$(CC) $(DEBUGFLAG) $(CFLAGS) $^

str.o: str.c
	$(CC) $(DEBUGFLAG) $(CFLAGS) $^

clean:
	rm -f *.exe $(7Z_OBJS) *.d *.o

=== debian/changelog ===
usb-creator (0.2.56.3ubuntu0.1) trusty-security; urgency=medium

  * SECURITY UPDATE: privilege escalation via missing polkit check
    (LP: #1447396)
    - bin/usb-creator-helper, dbus/com.ubuntu.usbcreator.policy.in: add
      proper polkit integration for KVM use.
    - CVE number pending

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 22 Apr 2015 23:18:17 -0400

usb-creator (0.2.56.3) trusty-proposed; urgency=medium

  [ Brian Murray ]
  * udisks/backend.py: fix some calls to mount_sync that were missed in the
    port to the UDisks2 API. Thanks to Marc Culler for the patch.
    (LP: #1279987)

  [ Yu Ning ]
  * usb-creator-helper: use parent object only if there is a parent.
    (LP: #1380041)
  * usb-creator-helper: re-create the udisks client otherwise it will not
    return the newly created device or partition. (LP: #1361474, #1300361)
  * usb-creator-helper: use parted instead of udisks2 to create the new
    partition table since udisks2 uses wipefs to erase the old partition
    table, however partition table erasing is not supported in wipefs yet in
    trusty, and that would cause a timed out error.

 -- Brian Murray <brian@ubuntu.com>  Thu, 18 Dec 2014 14:48:14 -0800

usb-creator (0.2.56.2) trusty-proposed; urgency=medium

  * Drop invalid empty "erase" type. We don't need to erase the device (you
    can use "Disks" if you want that for some reason). Fixes "Unknown or
    unsupported erase type `' " failure. (LP: #1294877)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 19 Aug 2014 07:46:20 +0200

usb-creator (0.2.56.1) trusty-proposed; urgency=medium

  [ Rohan Garg ]
  * Workaround Python Qt4 being sucky (LP: #1315866)
    - Known bug in Python Qt4 trying to delete objects twice, workaround by
      telling SIP to not call dtors on each object, and instead throwing away
      everything at the end
  * Stable release update (LP: #1289026).

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 26 May 2014 15:28:12 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Architecture: amd64 i386
 Depends: ${misc:Depends}, ${python3:Depends}, python3-dbus,
  syslinux, syslinux-legacy,
- udisks (>= 1.0~), udisks (<< 1.1), genisoimage, mtools, parted, python3-debian
+ gir1.2-udisks-2.0, udisks2, genisoimage, mtools, parted, python3-debian
 Description: create a startup disk using a CD or disc image (common files)
  Startup Disk Creator converts a USB key or SD card into a volume from which you
  can start up and run Ubuntu. You can also store files and settings in any space

## usb-creator 0.2.62

=== debian/changelog ===
usb-creator (0.2.62) utopic; urgency=medium

  * Re-create the udisks client otherwise it will not return the newly
    created device or partition. (LP: #1361474, #1300361)

 -- Yu Ning <ning.yu@canonical.com>  Fri, 29 Aug 2014 19:48:03 +0800

usb-creator (0.2.61) utopic; urgency=medium

  * Don't specify an erase type. Using "zero" will take an awfully long time,
    time out, and isn't necessary. (LP: #294877)
  * Revert "Ignore errors from synchronisations after wipefs calls". This
    udisks hack doesn't work (it now silently fails to format the device,
    instead of showing the error message), and won't stay in udisks.
    (See LP #1059872)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 18 Aug 2014 12:51:13 +0200

usb-creator (0.2.60) utopic; urgency=medium

  * Correctly detect partition-table less parent devices.
  * Rescan partitions, after creating fresh partition table.
  * Ignore errors from synchronisations after wipefs calls. (LP: #1300361)
  * Allow operation over loop devices, for ease of testing.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 25 Jul 2014 14:22:02 +0100

usb-creator (0.2.59) utopic; urgency=medium

  * Refactor syslinux bootloader installation to support legacy, 4.x, and
    6.x series. (LP: #1330165)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 20 Jul 2014 22:47:46 +0100

usb-creator (0.2.58) utopic; urgency=medium

  * Use "zero" erase type instead of the invalid "". (LP: #1294877)
  * Bump Standards-Version to 3.9.5, no changes necessary.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 16 Jun 2014 11:20:04 +0200

usb-creator (0.2.57) utopic; urgency=medium

  [ Rohan Garg ]
  * Workaround Python Qt4 being sucky (LP: #1315866)
    - Known bug in Python Qt4 trying to delete objects twice, workaround by
      telling SIP to not call dtors on each object, and instead throwing away
      everything at the end

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 13 May 2014 17:42:22 +0100

## usb-creator 0.2.62ubuntu0.3

=== debian/changelog ===
usb-creator (0.2.62ubuntu0.3) utopic-security; urgency=medium

  * SECURITY UPDATE: privilege escalation via missing polkit check
    (LP: #1447396)
    - bin/usb-creator-helper, dbus/com.ubuntu.usbcreator.policy.in: add
      proper polkit integration for KVM use.
    - CVE number pending

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 22 Apr 2015 23:16:13 -0400

usb-creator (0.2.62ubuntu0.2) utopic; urgency=medium

  * Find and use the syslinux from the source squashfs. (LP: #1325801)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 20 Mar 2015 11:06:08 -0400

usb-creator (0.2.62ubuntu0.1) utopic-proposed; urgency=medium

  * udisks/backend.py: fix some calls to mount_sync that were missed in the
    port to the UDisks2 API. Thanks to Marc Culler for the patch.
    (LP: #1279987)

 -- Brian Murray <brian@ubuntu.com>  Thu, 18 Dec 2014 14:45:25 -0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3,
                python3-distutils-extra,
                pkg-kde-tools
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 X-Python3-Version: >= 3.2
 Vcs-Bzr: http://bazaar.launchpad.net/~usb-creator-hackers/usb-creator/trunk

## usb-creator 0.2.67

=== debian/changelog ===
usb-creator (0.2.67) vivid; urgency=medium

  * Find and use the syslinux from the source squashfs. (LP: #1325801)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 10 Mar 2015 11:24:34 -0400

usb-creator (0.2.66) vivid; urgency=medium

  * usbcreator/install.py: adjust grub configurations, otherwise the
    persistent mode can't be enabled with UEFI BIOS. (LP: #1159016)
  * usbcreator/install.py: detect os version with regex and check for the
    result. (LP: #1208129)
  * GTK: select a source if it's already added. (LP: #978691)
  * GTK: scroll to the selected source.

 -- Yu Ning <ning.yu@canonical.com>  Fri, 06 Mar 2015 12:39:57 -0500

usb-creator (0.2.65) vivid; urgency=medium

  * Port usb-creator-kde to Qt 5

 -- Harald Sitter <sitter@kde.org>  Mon, 16 Feb 2015 10:34:29 +0100

usb-creator (0.2.64) vivid; urgency=medium

  * udisks/backend.py: exit if we can't determine the mount of the cd that was
    added. (LP: #1411879)

 -- Brian Murray <brian@ubuntu.com>  Fri, 16 Jan 2015 16:01:41 -0800

usb-creator (0.2.63) vivid; urgency=medium

  * udisks/backend.py: fix some calls to mount_sync that were missed in the
    port to the UDisks2 API. Thanks to Marc Culler for the patch.
    (LP: #1279987)

 -- Brian Murray <brian@ubuntu.com>  Thu, 18 Dec 2014 14:20:04 -0800

=== debian/control ===
--- 
+++ 
@@ -55,7 +55,7 @@
 # Restricted to x86, because of syslinux dependency
 Architecture: amd64 i386
 Depends: ${misc:Depends}, ${python3:Depends},
- usb-creator-common (= ${binary:Version}), python3-pykde4, python3-dbus.mainloop.qt
+ usb-creator-common (= ${binary:Version}), python3-pyqt5, python3-dbus.mainloop.pyqt5
 Description: create a startup disk using a CD or disc image (for KDE)
  Startup Disk Creator converts a USB key or SD card into a volume from which you
  can start up and run Ubuntu. You can also store files and settings in any space

## usb-creator 0.2.67ubuntu0.1

=== debian/changelog ===
usb-creator (0.2.67ubuntu0.1) vivid-security; urgency=medium

  * SECURITY UPDATE: privilege escalation via missing polkit check
    (LP: #1447396)
    - bin/usb-creator-helper, dbus/com.ubuntu.usbcreator.policy.in: add
      proper polkit integration for KVM use.
    - CVE number pending

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 22 Apr 2015 23:10:43 -0400

## usb-creator 0.2.67ubuntu1

=== debian/changelog ===
usb-creator (0.2.67ubuntu1) wily; urgency=medium

  * Add missing dependency on syslinux-common to find mbr.bin (LP: #1502821)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 21 Oct 2015 11:33:47 +0100

## usb-creator 0.3.2

=== debian/changelog ===
usb-creator (0.3.2) xenial; urgency=medium

  * bin/usb-creator-helper: properly handle utf-8 characters
    (LP: #1527900)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 22 Jan 2016 14:35:42 -0500

usb-creator (0.3.1) xenial; urgency=medium

  * usbcreator/backends/udisks/backend.py: also properly detect mini.iso.
    (LP: #1527086)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 17 Dec 2015 11:18:55 -0500

usb-creator (0.3.0) xenial; urgency=medium

  [ Marc Deslauriers ]
  * Rework the whole imaging process for writing to devices:
    - Use an equivalent of dd to make an exact copy of the image to the device
    - This also breaks persistence.

  [ Mathieu Trudel-Lapierre ]
  * Update UI and frontend code to drop the persistence widgets.
  * Drop Erase Disk widgets too.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 11 Dec 2015 12:37:41 -0500

usb-creator (0.2.68) UNRELEASED; urgency=medium

  [ Brian Murray ]
  * Only try to add a udisks dump to the apport hook, if the udisks command is
    available.

  [ Marc Deslauriers ]
  * SECURITY UPDATE: privilege escalation via missing polkit check
    (LP: #1447396)
    - bin/usb-creator-helper, dbus/com.ubuntu.usbcreator.policy.in: add
      proper polkit integration for KVM use.
    - CVE number pending
  * usbcreator/backends/udisks/backend.py: fix --show-all (LP: #1497431)
  * debian/usb-creator-common.postinst, debian/usb-creator-common.prerm:
    stop usb-creator-helper on package upgrades and removals.
    (LP: #1497569)

  [ Mathieu Trudel-Lapierre ]
  * usbcreator/install.py: remove the directories known to normally contain
    a squashfs; since it could be confusing the installer if, for example, a
    squashfs from desktop is still under casper/ after copying server files
    to a USB key. (LP: #1450597)

  [ Adam Conrad ]
  * Add missing dependency on syslinux-common to find mbr.bin (LP: #1502821)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 18 Sep 2015 21:24:20 -0400

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # Restricted to x86, because of syslinux dependency
 Architecture: amd64 i386
 Depends: ${misc:Depends}, ${python3:Depends}, python3-dbus,
- syslinux, syslinux-legacy,
+ syslinux, syslinux-common, syslinux-legacy,
  gir1.2-udisks-2.0, udisks2, genisoimage, mtools, parted, python3-debian
 Description: create a startup disk using a CD or disc image (common files)
  Startup Disk Creator converts a USB key or SD card into a volume from which you

## usb-creator 0.3.2ubuntu16.04.1

=== debian/changelog ===
usb-creator (0.3.2ubuntu16.04.1) xenial-security; urgency=medium

  * Unmount device during image operation so a single policykit prompt can
    be displayed to the user. (LP: #1832337)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 Jun 2019 14:19:59 -0400

## usb-creator 0.3.2ubuntu16.04.2

=== debian/changelog ===
usb-creator (0.3.2ubuntu16.04.2) xenial; urgency=medium

  * Move progress dialog setup to the install method on the KDE frontend.
    Thanks to Paul Worrall for the patch! (LP: #1629715)

 -- Walter Lapchynski <wxl@ubuntu.com>  Tue, 16 Jul 2019 10:34:48 -0700

## usb-creator 0.3.2%2B8.0trisquel1

=== debian/changelog ===
usb-creator (0.3.2+8.0trisquel1) flidas; urgency=medium

  * Rebranded for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 18 Jun 2017 03:25:12 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: usb-creator
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: usb-creator Hackers Team <usb-creator-hackers@lists.launchpad.net>
 Uploaders: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>, Ignace Mouzannar <mouzannar@gmail.com>
 Build-Depends: debhelper (>= 9),
@@ -21,7 +21,7 @@
  gir1.2-udisks-2.0, udisks2, genisoimage, mtools, parted, python3-debian
 Description: create a startup disk using a CD or disc image (common files)
  Startup Disk Creator converts a USB key or SD card into a volume from which you
- can start up and run Ubuntu. You can also store files and settings in any space
+ can start up and run Trisquel. You can also store files and settings in any space
  left over.
  .
  The program also works for Debian, or any other Debian-based OS for which you
@@ -43,7 +43,7 @@
  python3-dbus
 Description: create a startup disk using a CD or disc image (for GNOME)
  Startup Disk Creator converts a USB key or SD card into a volume from which you
- can start up and run Ubuntu. You can also store files and settings in any space
+ can start up and run Trisquel. You can also store files and settings in any space
  left over.
  .
  The program also works for Debian, or any other Debian-based OS for which you
@@ -58,7 +58,7 @@
  usb-creator-common (= ${binary:Version}), python3-pyqt5, python3-dbus.mainloop.pyqt5
 Description: create a startup disk using a CD or disc image (for KDE)
  Startup Disk Creator converts a USB key or SD card into a volume from which you
- can start up and run Ubuntu. You can also store files and settings in any space
+ can start up and run Trisquel. You can also store files and settings in any space
  left over.
  .
  The program also works for Debian, or any other Debian-based OS for which you

## usb-creator 0.3.3

=== debian/changelog ===
usb-creator (0.3.3) yakkety; urgency=medium

  * Change version strings to 0.3.3. (LP: #1537836)
  * Fix PyGI import warnings.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 26 Jul 2016 09:07:09 -0400

## usb-creator 0.3.5

=== debian/changelog ===
usb-creator (0.3.5) bionic; urgency=medium

  * Build-depend on dh-python.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Apr 2018 13:47:45 +0200

usb-creator (0.3.4) bionic; urgency=medium

  * Improve progress bar accuracy due to disk buffering (LP: #1731977)
    - Thanks to Marco Biscaro for the fix!

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 02 Feb 2018 09:46:54 -0500

## usb-creator 0.3.5ubuntu18.04.1

=== debian/changelog ===
usb-creator (0.3.5ubuntu18.04.1) bionic-security; urgency=medium

  * Unmount device during image operation so a single policykit prompt can
    be displayed to the user. (LP: #1832337)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 Jun 2019 14:19:59 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: usb-creator
 Section: admin
 Priority: optional
-Maintainer: Trisquel Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: usb-creator Hackers Team <usb-creator-hackers@lists.launchpad.net>
 Uploaders: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>, Ignace Mouzannar <mouzannar@gmail.com>
 Build-Depends: debhelper (>= 9),
                dh-translations,
+               dh-python,
                python3,
                python3-distutils-extra,
                pkg-kde-tools
@@ -21,7 +22,7 @@
  gir1.2-udisks-2.0, udisks2, genisoimage, mtools, parted, python3-debian
 Description: create a startup disk using a CD or disc image (common files)
  Startup Disk Creator converts a USB key or SD card into a volume from which you
- can start up and run Trisquel. You can also store files and settings in any space
+ can start up and run Ubuntu. You can also store files and settings in any space
  left over.
  .
  The program also works for Debian, or any other Debian-based OS for which you
@@ -43,7 +44,7 @@
  python3-dbus
 Description: create a startup disk using a CD or disc image (for GNOME)
  Startup Disk Creator converts a USB key or SD card into a volume from which you
- can start up and run Trisquel. You can also store files and settings in any space
+ can start up and run Ubuntu. You can also store files and settings in any space
  left over.
  .
  The program also works for Debian, or any other Debian-based OS for which you
@@ -58,7 +59,7 @@
  usb-creator-common (= ${binary:Version}), python3-pyqt5, python3-dbus.mainloop.pyqt5
 Description: create a startup disk using a CD or disc image (for KDE)
  Startup Disk Creator converts a USB key or SD card into a volume from which you
- can start up and run Trisquel. You can also store files and settings in any space
+ can start up and run Ubuntu. You can also store files and settings in any space
  left over.
  .
  The program also works for Debian, or any other Debian-based OS for which you

## usb-creator 0.3.5ubuntu18.04.2

=== debian/changelog ===
usb-creator (0.3.5ubuntu18.04.2) bionic; urgency=medium

  * Move progress dialog setup to the install method on the KDE frontend.
    Thanks to Paul Worrall for the patch! (LP: #1629715)

 -- Walter Lapchynski <wxl@ubuntu.com>  Tue, 16 Jul 2019 10:40:51 -0700

## usb-creator 0.3.5ubuntu18.04.2+9.0trisquel1

=== debian/changelog ===
usb-creator (0.3.5ubuntu18.04.2+9.0trisquel1) etiona; urgency=medium

  * Rebranded for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 16 Nov 2019 01:13:21 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: usb-creator
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: usb-creator Hackers Team <usb-creator-hackers@lists.launchpad.net>
 Uploaders: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>, Ignace Mouzannar <mouzannar@gmail.com>
 Build-Depends: debhelper (>= 9),
@@ -22,7 +22,7 @@
  gir1.2-udisks-2.0, udisks2, genisoimage, mtools, parted, python3-debian
 Description: create a startup disk using a CD or disc image (common files)
  Startup Disk Creator converts a USB key or SD card into a volume from which you
- can start up and run Ubuntu. You can also store files and settings in any space
+ can start up and run Trisquel. You can also store files and settings in any space
  left over.
  .
  The program also works for Debian, or any other Debian-based OS for which you
@@ -44,7 +44,7 @@
  python3-dbus
 Description: create a startup disk using a CD or disc image (for GNOME)
  Startup Disk Creator converts a USB key or SD card into a volume from which you
- can start up and run Ubuntu. You can also store files and settings in any space
+ can start up and run Trisquel. You can also store files and settings in any space
  left over.
  .
  The program also works for Debian, or any other Debian-based OS for which you
@@ -59,7 +59,7 @@
  usb-creator-common (= ${binary:Version}), python3-pyqt5, python3-dbus.mainloop.pyqt5
 Description: create a startup disk using a CD or disc image (for KDE)
  Startup Disk Creator converts a USB key or SD card into a volume from which you
- can start up and run Ubuntu. You can also store files and settings in any space
+ can start up and run Trisquel. You can also store files and settings in any space
  left over.
  .
  The program also works for Debian, or any other Debian-based OS for which you

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 xpm_gtk := $(CURDIR)/debian/usb-creator-gtk/usr/share/pixmaps/
 xpm_kde := $(CURDIR)/debian/usb-creator-kde/usr/share/pixmaps/
 
-ifeq ($(vendor),Ubuntu)
+ifeq ($(vendor),Trisquel)
  DHaddons := python3,translations
 else
  DHaddons := python3
@@ -35,9 +35,6 @@
 	find . -path "$(vendor_dir)/*.svg" -exec cp {} $(dest) \;
 	dh_install
 
-override_dh_installinit:
-	#dh_installinit --upstart-only
-
 override_dh_installmenu:
 ifneq (,$(wildcard $(vendor_dir)/*.xpm))
 	mkdir -p $(xpm_gtk) $(xpm_kde)

## usb-creator 0.3.5ubuntu18.10.1

=== debian/changelog ===
usb-creator (0.3.5ubuntu18.10.1) cosmic-security; urgency=medium

  * Unmount device during image operation so a single policykit prompt can
    be displayed to the user. (LP: #1832337)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 Jun 2019 14:19:59 -0400

## usb-creator 0.3.5ubuntu19.04.1

=== debian/changelog ===
usb-creator (0.3.5ubuntu19.04.1) disco-security; urgency=medium

  * Unmount device during image operation so a single policykit prompt can
    be displayed to the user. (LP: #1832337)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 Jun 2019 14:19:59 -0400

## usb-creator 0.3.5ubuntu19.04.2

=== debian/changelog ===
usb-creator (0.3.5ubuntu19.04.2) disco; urgency=medium

  * Move progress dialog setup to the install method on the KDE frontend.
    Thanks to Paul Worrall for the patch! (LP: #1629715)

 -- Walter Lapchynski <wxl@ubuntu.com>  Tue, 16 Jul 2019 10:44:30 -0700

## usb-creator 0.3.7

=== debian/changelog ===
usb-creator (0.3.7) eoan; urgency=medium

  [ Marc Deslauriers ]
  * Change version strings to 0.3.7 for next release

  [ Walter Lapchynski ]
  * Move progress dialog setup to the install method on the KDE frontend.
    Thanks to Paul Worrall for the patch! (LP: #1629715) 

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 02 Jul 2019 07:53:57 -0400

usb-creator (0.3.6) eoan; urgency=medium

  * Unmount device during image operation so a single policykit prompt can
    be displayed to the user. (LP: #1832337)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 Jun 2019 14:19:59 -0400

## usb-creator 0.3.7%2B10.0trisquel1

=== debian/changelog ===
usb-creator (0.3.7+10.0trisquel1) nabia; urgency=medium

  * Rebranded for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 31 Jul 2021 15:05:21 +0000

## usb-creator 0.3.7+10.0trisquel2

=== debian/changelog ===
usb-creator (0.3.7+10.0trisquel2) nabia; urgency=medium

  * Rebranded for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 24 Feb 2024 05:24:21 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: usb-creator
 Section: admin
 Priority: optional
-Maintainer: Trisquel Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: usb-creator Hackers Team <usb-creator-hackers@lists.launchpad.net>
 Uploaders: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>, Ignace Mouzannar <mouzannar@gmail.com>
 Build-Depends: debhelper (>= 9),
